oracle.xml.xquery

## Interface OXQOptions

    public interface OXQOptions

Exposes the contents of zero or more XQuery option declarations.

Since:
  12.1
See Also:
  `OXQFunctionMetaData.getOptions()`, `OXQConnection.createOptions()`

### Field Summary

Fields
`static javax.xml.namespace.QName` `OPTION_FUNCTION_DETERMINISTIC` The name of the option declaration that specifies whether an external function is deterministic or not.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `declareOption(javax.xml.namespace.QName name, java.lang.String value)` Declares an XQuery option.
`javax.xml.namespace.QName[]` `getOptionNames()` Returns the names of the option declarations.
`java.lang.String` `getOptionValue(javax.xml.namespace.QName optionName)` Returns the content of the specified option declaration.

### Field Detail

#### OPTION_FUNCTION_DETERMINISTIC

    static final javax.xml.namespace.QName OPTION_FUNCTION_DETERMINISTIC

The name of the option declaration that specifies whether an external function is deterministic or not.
Supported values are:

- "true" - determenistic,
- "false" - non-determenistic (default)

### Method Detail

#### declareOption

    void declareOption(javax.xml.namespace.QName name,
                       java.lang.String value)
                throws XQException

Declares an XQuery option.

Parameters:
  `name` - option name
  `value` - option value (if `null` then an existing option is undeclared)
Throws:
  `XQException` - if option name is `null`

#### getOptionNames

    javax.xml.namespace.QName[] getOptionNames()

Returns the names of the option declarations.

Returns:
  the names of the option declarations

#### getOptionValue

    java.lang.String getOptionValue(javax.xml.namespace.QName optionName)

Returns the content of the specified option declaration.

Parameters:
  `optionName` - the name of the option declaration
Returns:
  the content of the option declaration

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.